> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activecalculator.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Webhook

> Get a specific webhook object based on its ID



## OpenAPI

````yaml get /webhooks/{webhookId}
openapi: 3.1.0
info:
  title: Management API
  version: '1.0'
servers:
  - url: https://app.activecalculator.com/api/v1
security:
  - sec0: []
paths:
  /webhooks/{webhookId}:
    get:
      summary: Get Webhook
      description: Get a specific webhook object based on its ID
      operationId: get-webhook
      parameters:
        - name: webhookId
          in: path
          description: ID of the webhook
          schema:
            type: string
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "data": {
                        "id": "webhook123",
                        "name": "Example Webhook",
                        "createdAt": "2024-01-15T10:30:00.000Z",
                        "updatedAt": "2024-01-15T11:45:00.000Z",
                        "url": "https://example.com/webhook",
                        "source": "user",
                        "workspaceId": "workspace456"
                      }
                    }
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        example: webhook123
                      name:
                        type: string
                        example: Example Webhook
                      createdAt:
                        type: string
                        example: '2024-01-15T10:30:00.000Z'
                      updatedAt:
                        type: string
                        example: '2024-01-15T11:45:00.000Z'
                      url:
                        type: string
                        example: https://example.com/webhook
                      source:
                        type: string
                        example: user
                      workspaceId:
                        type: string
                        example: workspace456
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-ac-api-key

````